Draft Arc par 3 Points

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc 3Points and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Page précédente : Draft Circle.svg Arc
Page suivante : Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Arc 3Points.svg Arc par 3 Points Draft

Emplacement du menu
Draft → Outils Arc → Arc 3 points
Ateliers
Draft, Arch
Raccourci par défaut
A T
Introduit dans la version
0.19
Voir aussi
Draft Arc, Draft Cercle, Draft Ellipse

Description

L'outil Draft Arc 3Points.svg Draft Arc par 3 Points crée un arc de cercle dans le Draft Plan de travail en utilisant trois points: les trois points qui se trouvent sur la circonférence; le centre et le rayon sont déterminés à partir de ces trois points. Il utilise les Draft Propriétés de ligne définies dans Draft La barre.

Utilisez l'outil Draft Arc pour créer un arc de cercle en spécifiant le centre, le rayon et les angles de début et de fin. Pour dessiner un arc elliptique, utilisez Draft Ellipse. Vous pouvez également approximer un arc de cercle à l'aide des outils Draft B-Spline, Draft Courbe de Bézier et Draft Courbe de Bézier cubique.

Draft Arc 3Points example.png

Arc defini par trois points passant par la circonférence

Utilisation

  1. Appuyez sur le bouton Draft Arc 3Points.svg Arc par 3 Points ou appuyez sur les touches A puis T.
  2. Cliquez sur un premier point de la vue 3D ou rentrez une Draft Coordonnée et appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
  3. Cliquez sur un deuxième point de la vue 3D ou rentrez une Draft Coordonnée et cliquez sur le bouton Draft AddPoint.svg Draft ajouter un point.
  4. Cliquez sur un troisième point de la vue 3D ou rentrez une Draft Coordonnée et cliquez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
  5. Un arc sera créé après avoir cliqué sur le troisième point.

Options

  • Appuyez sur les touches X, Y ou Z après un point pour contraindre le point suivant sur l'axe indiqué.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z.
    • Vous pouvez appuyer sur le bouton Draft AddPoint.svg Draft Ajouter un point lorsque vous avez entré les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du point suivant sont relatives au précédent; sinon, ils sont absolus, pris de l'origine (0, 0, 0).
  • Maintenez la touche Shift pendant que vous dessinez sur contraint votre prochain point horizontalement ou verticalement par rapport au précédent.
  • Appuyez sur la touche Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Un objet Arc partage toutes les propriétés d'un Draft Cercle mais certaines propriétés n'ont de sens que pour le cercle. Voir Draft Arc pour plus d'informations.

Script

Voir aussi: Draft API et FreeCAD Scripts de Base.

L'outil Arc par 3 points peut être utilisé dans une macro et dans la console Python avec la fonction suivante:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Crée un objet arc à partir de la liste donnée points.
  • Si un placement est donné, le centre de l'arc circulaire sera déplacé à cet endroit. Voir Positionnement pour plus d'informations.
  • Si face est True, l'arc fera une surface, c'est-à-dire qu'il apparaîtra rempli.
  • Si support est donné, c'est un LinkSubList, c'est-à-dire une liste indiquant un objet et un sous-élément de cet objet. Ceci est utilisé pour que l'objet apparaisse référencé à ce support.
Par exemple, support=[(obj, ("Face1"))]
  • Si map_mode est donné, il s'agit d'une chaîne définissant un type de mappage, par exemple, map_mode='FlatFace', map_mode='ThreePointsPlane' etc. Voir Part Attachement pour plus d'informations.
  • Si primitive est True, l'arc créé sera un simple Part Fonctionnalité, pas un objet Draft complexe.

Exemple:

import FreeCAD as App
import draftobjects.arc_3points as arc3

doc = App.newDocument()
points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = arc3.make_arc_3points(points)

doc.recompute()

Remarque: en interne, cette fonction utilise toujours Draft.makeCircle donc l'objet créé est le même que celui créé par Draft Cercle et Draft Arc.

Arrow-left.svg Page précédente : Draft Circle.svg Arc
Page suivante : Ellipse Draft Ellipse.svg Arrow-right.svg